#
# spec file for package iwl4965-ucode (Version 228.57.2.23)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           iwl4965-ucode
Url:            http://intellinuxwireless.org/
Summary:        Firmware for Intel Wireless WiFi Link 4965AGN Cards
Version:        228.57.2.23
Release:        1.4.27
Group:          Hardware/Wifi
License:        Any commercial
Source0:        iwlwifi-4965-ucode-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
PreReq:         module-init-tools grep
Supplements:    modalias(pci:v00008086d00004229sv*sd*bc*sc*i*)
Supplements:    modalias(pci:v00008086d00004230sv*sd*bc*sc*i*)

%description
This package is required for running Intel Wireless WiFi Link 4965AGN
adapters.



Authors:
--------
    Intel Corporation

%prep
%setup0 -n iwlwifi-4965-ucode-%{version}

%build

%install
mkdir -p %{buildroot}/lib/firmware
cp iwlwifi-4965-2.ucode %{buildroot}/lib/firmware
cp LICENSE* README* %{buildroot}/lib/firmware/

%post
test -f /.buildenv && exit 0
driver_active()
{
	for i in /sys/class/net/*/device/driver ; do
		test -e $i || continue
		DRV=$(basename `readlink $i`)
		test "$DRV" = "$1" && return 0
	done
	return 1
}
driver_loaded()
{
	lsmod | grep -q "$1"
}
if ! driver_active iwl4965 ; then
	if driver_loaded iwl4965; then
		echo "Reloading module iwl4965"
		rmmod iwl4965
		modprobe iwl4965
	fi
fi
exit 0

%files
%defattr(-,root,root)
%dir /lib/firmware
/lib/firmware/*

%clean
test "$RPM_BUILD_ROOT" != "/" && rm -rf $RPM_BUILD_ROOT

%changelog
* Tue Jun  2 2009 hschaa@suse.de
- Update to 228.57.2.23 which uses API version 2, needed by
  iwlwifi (FATE#305943 and FATE#306290)
* Tue Sep  9 2008 hschaa@suse.de
- Fix association problems on passive 11a channels (bnc#424257)
* Thu Jan 31 2008 hschaa@suse.de
- Add package to SLE10 SP2 due to missing firmware (bnc #356576)
* Thu Aug 23 2007 jg@suse.de
- fixed Supplements tags
* Wed Aug  1 2007 jg@suse.de
- update to version 4.44.1.18
* Mon Jul 23 2007 jg@suse.de
- updated to version 4.44.17
- fixed postinstall script (this time for real)
* Thu Jun 21 2007 jg@suse.de
- fixed postinstall script
* Tue Jun 19 2007 jg@suse.de
- initial package
